singleton SFXProfile(LeducEngine)
{
   fileName = "vehicles/leduc/art/sound/engine-running.ogg";
   description = "AudioDefaultLoop3D";
};

singleton SFXProfile(LeducEngineExhaust)
{
   fileName = "vehicles/leduc/art/sound/engine-jet-exhaust.ogg";
   description = "AudioDefaultLoop3D";
};

singleton SFXProfile(LeducEngineAfterburner)
{
   fileName = "vehicles/leduc/art/sound/engine-jet-afterburner.ogg";
   description = "AudioDefaultLoop3D";
};


singleton Material(leduc_DefaultWhite)
{
   mapTo = "DefaultWhite";
   diffuseColor[1] = "1 1 1 0.8";
   diffuseMap[1] = "texture.png";
   normalMap[0] = "texture_nm.png";
   normalMap[1] = "texture_nm.png";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   
   specular[1] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   doubleSided = "1";
   translucentBlendOp = "None";
   //cubemap = "BNG_Sky_02_cubemap";
   dynamicCubemap = true;
   beamngDiffuseColorSlot = "2";
   useAnisotropic[0] = "1";	
   specularPower[0] = "20";
};

singleton Material(leduc_transparent)
{
   mapTo = "transparent";
   diffuseColor[0] = "0.64 0.64 0.64 0.25";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucent = "1";
};

singleton Material(leduc_transparentExt)
{
   mapTo = "transparentExt";
   reflectivityMap[0] = "vehicles/common/glass_base.dds";   
   diffuseColor[0] = "0 0 0 0.5";
   diffuseColor[1] = "0 0 0 0.5";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   doubleSided = "0";
   castShadows = "0";
   translucent = "1";
   //cubemap = "BNG_Sky_02_cubemap";
   dynamicCubemap = true;
   beamngDiffuseColorSlot = "2";
   useAnisotropic[0] = "1";	
   specularPower[0] = "20";
};

singleton Material(leduc_DefaultWhite_clock_png)
{
   mapTo = "DefaultWhite_clock_png";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "clock.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};

singleton Material(leduc_DefaultWhite_panel_png)
{
   mapTo = "DefaultWhite_panel_png";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "panel.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};

singleton Material(leduc_DefaultWhite_airspeed_png)
{
   mapTo = "DefaultWhite_airspeed_png";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "airspeed.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};

singleton Material(leduc_DefaultWhite_oiltemp_png)
{
   mapTo = "DefaultWhite_oiltemp_png";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "oiltemp.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};

singleton Material(leduc_DefaultWhite_fuel_png)
{
   mapTo = "DefaultWhite_fuel_png";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "fuel.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};

singleton Material(leduc_DefaultWhite_turn_png)
{
   mapTo = "DefaultWhite_turn_png";
   diffuseMap[0] = "turn.png";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};

singleton Material(leduc_DefaultWhite_tac_png)
{
   mapTo = "DefaultWhite_tac_png";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "tac.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};

singleton Material(leduc_DefaultWhite_vsi_png)
{
   mapTo = "DefaultWhite_vsi_png";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "vsi.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};

singleton Material(leduc_DefaultWhite_mach_png)
{
   mapTo = "DefaultWhite_mach_png";
   diffuseMap[0] = "mach.png";
   diffuseColor[0] = "1 1 1 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};

singleton Material(leduc_DefaultWhite_alt_png)
{
   mapTo = "DefaultWhite_alt_png";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "alt.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};

singleton Material(leduc_DefaultWhite_interior_png)
{
   mapTo = "DefaultWhite_interior_png";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "interior.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};

singleton Material(leduc_DefaultWhite_atar_png)
{
   mapTo = "DefaultWhite_atar_png";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "atar.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};

singleton Material(leduc_DefaultWhite_compass_png)
{
   mapTo = "DefaultWhite_compass_png";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "compass.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};

singleton Material(leduc_DefaultWhite_ai_png)
{
   mapTo = "DefaultWhite_ai_png";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "ai.png";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "48";
   translucentBlendOp = "None";
};
